hxt-regex-xmlschema-9.2.0.7: A regular expression library for W3C XML Schema regular expressions

Copyright | Copyright (C) 2014- Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt <uwe@fh-wedel.de>
Stability | stable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Regex.XMLSchema.Generic.StringLike

Description

Synopsis

- class (Eq a, IsString a, Show a) => StringLike a where
  - emptyS :: a
  - uncons :: a -> Maybe (Char, a)
  - nullS :: a -> Bool
  - headS :: a -> Char
  - takeS :: Int -> a -> a
  - dropS :: Int -> a -> a
  - appendS :: a -> a -> a
  - concatS :: [a] -> a
  - toString :: a -> String

# Documentation

class (Eq a, IsString a, Show a) => StringLike a where Source #

WARNING: This StringLike class is not intended for use outside this regex library. It provides an abstraction for String's as used inside this library. It allows the library to work with String (list of Char), ByteString.Char8, ByteString.Lazy.Char8, Data.Text and Data.Text.Lazy.

The class is similar to the StringLike class in the tagsoup package

Minimal complete definition

emptyS, uncons, takeS, dropS, appendS, toString

Methods

emptyS :: a Source #

uncons :: a -> Maybe (Char, a) Source #

nullS :: a -> Bool Source #

headS :: a -> Char Source #

takeS :: Int -> a -> a Source #

dropS :: Int -> a -> a Source #

appendS :: a -> a -> a Source #

concatS :: [a] -> a Source #

toString :: a -> String Source #

#### Instances

Instances details

StringLike ByteString Source # |

Instance details

Defined in Text.Regex.XMLSchema.Generic.StringLike

Methods

emptyS :: ByteString Source #

uncons :: ByteString -> Maybe (Char, ByteString) Source #

nullS :: ByteString -> Bool Source #

headS :: ByteString -> Char Source #

takeS :: Int -> ByteString -> ByteString Source #

dropS :: Int -> ByteString -> ByteString Source #

appendS :: ByteString -> ByteString -> ByteString Source #

concatS :: [ByteString] -> ByteString Source #

toString :: ByteString -> String Source #

StringLike ByteString Source # |

Instance details

Defined in Text.Regex.XMLSchema.Generic.StringLike

Methods

emptyS :: ByteString Source #

uncons :: ByteString -> Maybe (Char, ByteString) Source #

nullS :: ByteString -> Bool Source #

headS :: ByteString -> Char Source #

takeS :: Int -> ByteString -> ByteString Source #

dropS :: Int -> ByteString -> ByteString Source #

appendS :: ByteString -> ByteString -> ByteString Source #

concatS :: [ByteString] -> ByteString Source #

toString :: ByteString -> String Source #

StringLike Text Source # |
Instance details Defined in Text.Regex.XMLSchema.Generic.StringLike Methods emptyS :: Text Source # uncons :: Text -> Maybe (Char, Text) Source # nullS :: Text -> Bool Source # headS :: Text -> Char Source # takeS :: Int -> Text -> Text Source # dropS :: Int -> Text -> Text Source # appendS :: Text -> Text -> Text Source # concatS :: [Text] -> Text Source # toString :: Text -> String Source #
StringLike Text Source # |
Instance details Defined in Text.Regex.XMLSchema.Generic.StringLike Methods emptyS :: Text Source # uncons :: Text -> Maybe (Char, Text) Source # nullS :: Text -> Bool Source # headS :: Text -> Char Source # takeS :: Int -> Text -> Text Source # dropS :: Int -> Text -> Text Source # appendS :: Text -> Text -> Text Source # concatS :: [Text] -> Text Source # toString :: Text -> String Source #
StringLike String Source # |

Instance details

Defined in Text.Regex.XMLSchema.Generic.StringLike

Methods

emptyS :: String Source #

uncons :: String -> Maybe (Char, String) Source #

nullS :: String -> Bool Source #

headS :: String -> Char Source #

takeS :: Int -> String -> String Source #

dropS :: Int -> String -> String Source #

appendS :: String -> String -> String Source #

concatS :: [String] -> String Source #

toString :: String -> String Source #